# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TStringColumn

Packages that use TStringColumn
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TStringColumn in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TStringColumn
Modifier and Type
Class
Description
`class`
`TStringColumn`
`class`
`TStringColumn`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TStringColumn
Modifier and Type
Method
Description
`TStringColumn`
TStringColumn.`deepCopy()`
`TStringColumn`
TColumn.`getStringVal()`
`TStringColumn`
TStringColumn.`setNulls(byte[] nulls)`
`TStringColumn`
TStringColumn.`setNulls(ByteBuffer nulls)`
`TStringColumn`
TStringColumn.`setValues(List<String> values)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStringColumn
Modifier and Type
Method
Description
`int`
TStringColumn.`compareTo(TStringColumn other)`
`boolean`
TStringColumn.`equals(TStringColumn that)`
`void`
TColumn.`setStringVal(TStringColumn value)`
`static TColumn`
TColumn.`stringVal(TStringColumn value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStringColumn
Modifier
Constructor
Description
``
`TStringColumn(TStringColumn other)`
Performs a deep copy on other.